#### Previous topic

scipy.special.lpmn

#### Next topic

scipy.special.ellip_harm

# scipy.special.lqmn

`scipy.special.``lqmn`(m, n, z)

  Associated Legendre function of the second kind, Qmn(z).

  Computes the associated Legendre function of the second kind of order m and degree n, `Qmn(z)` = \(Q_n^m(z)\), and its derivative, `Qmn'(z)`. Returns two arrays of size `(m+1, n+1)` containing `Qmn(z)` and `Qmn'(z)` for all orders from `0..m` and degrees from `0..n`.

  Parameters:

  m : int

  > `|m| <= n`; the order of the Legendre function.

  n : int

  > where `n >= 0`; the degree of the Legendre function. Often called `l` (lower case L) in descriptions of the associated Legendre function

  z : complex

  > Input value.

  Returns:

  Qmn_z : (m+1, n+1) array

  > Values for all orders 0..m and degrees 0..n

  Qmn_d_z : (m+1, n+1) array

  > Derivatives for all orders 0..m and degrees 0..n

  References

  [R337] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html